Bug 4310 - Installer can't cooperate with standard MBR's
Summary: Installer can't cooperate with standard MBR's
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer   
(Show other bugs)
Version: 6.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Matt Wilson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-08-02 11:12 UTC by Jos Vos
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-11 15:18:26 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jos Vos 1999-08-02 11:12:00 UTC
It is currently impossible to install using disk druid or
kickstart when there already exists a non-Linux primary
partition and a standard MBR that you both want to keep.

If you don't want to install LILO in the MBR, you need to
install it on the boot partition, which is in the situation
I described above a logical partition, so setting the
"bootable" flag won't work (besides the fact that you can't
set the bootable flag via the installer/kickstart).

Solution: when a primary partition exists, the installer
should create another primary partition as boot partition.
Furthermore, the installer (and kickstart!) should have an
option to decide whether you want the bootable flag to be
set on the boot partition (and the flag should automatically
be cleared for all other partitions, of course).

Justification: some brand-name PC manufacturers like the use
of "hidden" partitions with their "tools" (because they
don't want to use a decent BIOS, sigh...) and also supply a
special MBR that let you switch to that partition or
otherwise use the partition that is bootable.

Comment 1 Jay Turner 1999-08-02 12:10:59 UTC
For cases in which someone wants to determine the configuration of
their drives, it is recommended that fdisk be used.  We are working to
improve the functionality of Disk Druid, but I am closing this bug, as
all of the features that you describe are available via fdisk.

Comment 2 Jos Vos 1999-08-02 12:18:59 UTC
But my main problem is with kickstart: this can only use Disk Druid,
so I'm not able to use kickstart for those type of systems.

Comment 3 Jay Turner 2000-02-11 15:18:59 UTC
Kickstart now allows the user to specify the partition on which to create
partitions, so check out the latest installer.  Reopen this bug if you are still
having issues with installations.


Note You need to log in before you can comment on or make changes to this bug.